pkgsrc-Users archive
[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index][Old Index]
Re: Error running "mozilla-rootcerts install" on macOS
On 03/28, J. Lewis Muir wrote:
> Below is a patch to fix this. It checks for the existence of
> $destdir$certdir/ca-certificates.crt instead of $destdir$certdir, since
> $destdir$certdir/ca-certificates.crt is what will be written and what we
> don't want to clobber. If the $destdir$certdir directory exists, that's
> OK.
Ping?
Lewis
> diff --git a/security/mozilla-rootcerts/files/mozilla-rootcerts.sh b/security/mozilla-rootcerts/files/mozilla-rootcerts.sh
> index 6c210da..86b175c 100644
> --- a/security/mozilla-rootcerts/files/mozilla-rootcerts.sh
> +++ b/security/mozilla-rootcerts/files/mozilla-rootcerts.sh
> @@ -205,11 +205,11 @@ install)
> $self extract
> $self rehash
> set +e
> - if [ -d $destdir$certdir ]; then
> - ${ECHO} 1>&2 "ERROR: $destdir$certdir already exists, aborting."
> + if [ -e $destdir$certdir/ca-certificates.crt ]; then
> + ${ECHO} 1>&2 "ERROR: $destdir$certdir/ca-certificates.crt already exists, aborting."
> exit 1
> fi
> set -e
> - $MKDIR $destdir$certdir
> + [ -d $destdir$certdir ] || $MKDIR $destdir$certdir
> cat $destdir$SSLDIR/*.pem > $destdir$certdir/ca-certificates.crt
> esac
Home |
Main Index |
Thread Index |
Old Index